name: emartstore
description: A new Flutter application.

publish_to: 'none' # Remove this line if you wish to publish to pub.dev

version: 1.0.2+2

environment:
  sdk: ">2.12.0 <4.0.0"

dependencies:
  flutter:
    sdk: flutter

  shared_preferences: ^2.2.3
  firebase_app_check: ^0.2.2+7
  firebase_core: ^2.32.0
  firebase_crashlytics: ^3.5.7
  firebase_auth: ^4.20.0
  cloud_firestore: ^4.17.5
  firebase_storage: ^11.7.7
  firebase_messaging: ^14.9.4
  flutter_local_notifications: ^17.1.2
  flutter_facebook_auth: ^7.0.0
  geoflutterfire2: ^2.3.15
  geolocator: ^10.0.1
  geocoding: ^3.0.0
  googleapis_auth: ^1.6.0

  smooth_page_indicator: ^1.1.0
  datetime_picker_formfield_new: ^2.1.0
  image_picker: ^1.1.1
  image_gallery_saver: ^2.0.3
  intl: ^0.19.0
  cached_network_image: ^3.3.1
  intl_phone_number_input: ^0.7.4
  pin_code_fields: ^8.0.1
  easy_localization: ^3.0.7
  font_awesome_flutter: ^10.7.0
  photo_view: ^0.15.0
  flutter_native_image: ^0.0.6+1
  the_apple_sign_in: ^1.1.1
  numberpicker: ^2.1.2
  location: ^6.0.2
  dotted_border: ^2.1.0
  video_player: ^2.8.6
  video_thumbnail: ^0.5.3
  video_compress: ^3.1.2
  path_provider: ^2.1.3
  sticky_headers: ^0.3.0+2
  permission_handler: ^11.3.1
  google_maps_flutter: ^2.6.1
  dropdown_search: ^5.0.6
  audioplayers: ^6.0.0
  esc_pos_utils: any
  print_bluetooth_thermal: ^1.1.0
  flutter_widget_from_html: ^0.15.0
  flutter_rating_bar: ^4.0.1
  flutterflow_paginate_firestore: ^1.0.3+1
  flutter_video_info: ^1.3.2
  mime: ^1.0.5
  file_picker: ^8.0.3
  flutter_multi_formatter: ^2.12.8
  mailer: ^6.1.0
  google_maps_place_picker_mb: ^3.1.2
  flutter_easyloading: ^3.0.5

dependency_overrides:
  uuid: ^4.4.0
  http: ^1.2.1

flutter:

  uses-material-design: true
  assets:
    - assets/images/
    - assets/audio/
    - assets/translations/
    - assets/flags/

  fonts:
    - family: Poppinsb
      fonts:
        - asset: assets/fonts/Poppins-Bold.ttf

    - family: Poppinsl
      fonts:
        - asset: assets/fonts/Poppins-Light.ttf

    - family: Poppinsm
      fonts:
        - asset: assets/fonts/Poppins-Medium.ttf

    - family: Poppinsr
      fonts:
        - asset: assets/fonts/Poppins-Regular.ttf
    
    - family: Poppinssb
      fonts:
        - asset: assets/fonts/Poppins-SemiBold.ttf